<?php

/***************************************************************************
 *   Copyright (C) 2005-2008 by Ferenc Veres							   *
 *   lion@netngine.hu													   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/
include('TranslationBackend.php');

/**
* QtBackend is a gateway between the QtGUI.php (desktop application) and the TranslationBackend (logic).
*
* This class handles the functions which move data from the Qt frontend to the
* translation backend functions on various events generated by the user. Data are
* passed by this class from Qt controls to the backend.
*/

class QtBackend extends TranslationBackend
{

	/**
	* Create a QtBackend for the GUI operations.
	*/

	function __construct()
	{
		parent::__construct();
	}
	

	/**
	* Function to sync all controls to the current string
	*/
	
	public function SyncToString()
	{
		if($this->xStringID == 0)
		{
			return;
		}
		
		$this->LocateString();
		
		if(!empty($this->LocatedString))
		{
			// If found the string, load related project info
			$this->xProjectID = $this->LocatedString->GetProjectID();
			$this->LoadProjectStrings();
		}

		// Load related project tree too
		$this->FindProjectPath();
	}

}