<?
/***************************************************************************
 *   Copyright (C) 2005-2008 by Ferenc Veres							   *
 *   lion@netngine.hu													   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/
include_once("TranslationImportXaraya.php");

/**
* Factory to create the requested exporter class
*/

class CreateImporter
{
	/**
	* Create a new exporter creating factory
	*/
	
	function __construct()
	{
	}
		
	/**
	* Create the requested exporter object
	*
	* @param type The exporter type, currently only EXPORTER_XARAYA supported.
	*/
	public function NewImporter($type)
	{
		switch($type)
		{
			case 'Xaraya': return new TranslationImportXaraya();
			default: throw new Exception("NewImporter: Creating unknown importer: $type");
		}
	}
}

/**
* Interface for classes which implement translation import functions and created by CreateImporter class.
*/

interface TranslationImport
{
	public function Import($localeName);
}

?>
